Skip to navigation

Update an endpoint

Send at least one field. Returns 409 when the application already has an endpoint with the same path and transport.

Requires the inventory:write API key scope.

Authentication

AuthorizationBearer

A workspace API key, sent as Authorization: Bearer.

OR
x-api-keystring

A workspace API key, sent as x-api-key.

Path parameters

endpointIdstringRequired
Endpoint UUID.

Request

This endpoint expects an object.
applicationIdstringOptionalformat: "uuid"
Move the endpoint to another application in this workspace.
endpointstringOptional
descriptionstringOptional
typeenum or nullOptional
transportenumOptional
Allowed values:
locationstring or nullOptional
startLineNumberinteger or nullOptional
endLineNumberinteger or nullOptional
objectiveslist of stringsOptional
authenticationRequiredobject or nullOptional
businessLogicstring or nullOptional
threatModelstring or nullOptional

Response

The updated endpoint.
idstringformat: "uuid"
endpointstring
transportenum
Allowed values:
typeenum or null
applicationIdstringformat: "uuid"
locationstring or null
authRequiredboolean or null
createdAtdatetime
descriptionstring
objectiveslist of strings
startLineNumberinteger or null
endLineNumberinteger or null
authenticationRequiredobject or null
businessLogicstring or null
threatModelstring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error